## gperiodic 2.0.7

=== Makefile ===
CC=gcc
CFLAGS=`pkg-config --cflags gtk+-2.0` -I. -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
LIBS=`pkg-config --libs gtk+-2.0`
bindir ?= /usr/bin
datadir ?= /usr/share

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

gperiodic: gperiodic.o
	$(CC) $(CFLAGS) -o gperiodic gperiodic.o $(LIBS)
	strip gperiodic

gpdata.o: gpdata.c gperiodic.h

gperiodic.o: gperiodic.c gperiodic.h table_data.h

install:
	make -C po/ install enable_nls=1 datadir=$(datadir)
	install gperiodic $(bindir)
	install gperiodic.desktop $(datadir)/applications
	install gperiodic.png $(datadir)/pixmaps
	install gperiodic-crystal.png $(datadir)/pixmaps
	make clean

uninstall:
	rm $(bindir)/gperiodic

clean:
	- rm *.o gperiodic
	- rm po/*.mo

=== po/Makefile ===
# Makefile for locale directory

PACKAGE ?= gperiodic
CWD = po
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)
datadir ?= /usr/share

LOCALEDIR ?= $(datadir)/locale
MSGFMT_OPT ?= -f -v -o

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in $(FILES_MO) ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) $(MSGFMT_OPT) $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

## gperiodic 2.0.10

=== Makefile ===
CC := gcc
CFLAGS := `pkg-config --cflags gtk+-2.0` -I. -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
LIBS :=`pkg-config --libs gtk+-2.0`
bindir ?= /usr/bin
datadir ?= /usr/share
enable_nls ?= 1

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

all: 
	make gperiodic
	make -C po/ all enable_nls=$(enable_nls)

gperiodic: gperiodic.o
	$(CC) $(CFLAGS) -o gperiodic gperiodic.o $(LIBS)
ifeq ($(strip),1)
	strip gperiodic
endif

gpdata.o: gpdata.c gperiodic.h

gperiodic.o: gperiodic.c gperiodic.h table_data.h

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 755 gperiodic $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(datadir)/applications
	install -m 644 gperiodic.desktop $(DESTDIR)$(datadir)/applications
	mkdir -p $(DESTDIR)$(datadir)/pixmaps
	install -m 644 gperiodic.png $(DESTDIR)$(datadir)/pixmaps
	install -m 644 gperiodic-crystal.png $(DESTDIR)$(datadir)/pixmaps
	make -C po/ install enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)

uninstall:
	rm -f $(bindir)/gperiodic \
	      $(datadir)/applications/gperiodic.desktop
	      $(datadir)/pixmaps/gperiodic.png \
	      $(datadir)/pixmaps/gperiodic-crystal.png
	make -C po/ uninstall enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)

clean:
	rm -f *.o gperiodic
	make -C po/ clean

.PHONY: install uninstall clean

=== po/Makefile ===
# Makefile for locale directory

PACKAGE ?= gperiodic
MSGFMT = msgfmt
FILES_PO := $(wildcard *.po)
FILES_MO := $(FILES_PO:.po=.mo)
datadir ?= /usr/share
enable_nls ?= 1

LOCALEDIR ?= $(datadir)/locale
MSGFMT_OPT ?= -f -v -o


.SUFFIXES: .mo .po
.po.mo:
	$(MSGFMT) $(MSGFMT_OPT) $@ $<


ifeq ($(enable_nls),1)
all: mo-files
mo-files: $(FILES_MO)
else
all:
mo-files:
endif

install: 
	$(MAKE) all
	for f in $(FILES_MO) ; do \
		mkdir -p $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; \
	done

uninstall:
	for f in $(FILES_MO) ; do \
		rm -f $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; \
	done

clean:
	rm -f $(FILES_MO)

.PHONY: all mo-files install uninstall clean

=== debian/changelog ===
gperiodic (2.0.10-7) unstable; urgency=low

  * debian/patches/488461_update_Uun_and_Uuu.patch: Adjusted.
    - Ununbium has been renamed to Copernicium.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 02 May 2012 22:36:54 +0200

gperiodic (2.0.10-6) unstable; urgency=low

  * debian/compat: Increased dh compatibility level.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Removed dpatch. Increased required debhelper version.
    (Vcs-Browser, Vcs-Svn): Fixed (closes: #669421).
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Renamed to
    debian/patches/remove_DEPRECATED_flags_for_GTK_2_4.patch.
  * debian/patches/12_fix_desktop_file.dpatch: Renamed to
    debian/patches/fix_desktop_file.patch.
  * debian/patches/13_fix_zink_description.dpatch: Renamed to
    debian/patches/fix_zink_description.patch.
  * debian/patches/14_fix_lithium_melting_point.dpatch: Renamed to
    debian/patches/fix_lithium_melting_point.patch.
  * debian/patches/15_fix_bohrium_data_set.dpatch: Renamed to
    debian/patches/fix_bohrium_data_set.patch.
  * debian/patches/16_466231_remove_markup_on_console.dpatch: Renamed to
    debian/patches/466231_remove_markup_on_console.patch.
  * debian/patches/17_483586_fix_encoding_errors.dpatch: Renamed to
    debian/patches/483586_fix_encoding_errors.patch
  * debian/patches/18_488461_update_Uun_and_Uuu.dpatch: Renamed to
    debian/patches/488461_update_Uun_and_Uuu.patch.
  * debian/patches/19_488469_use_appropriate_menu_icons.dpatch: Renamed to
    debian/patches/488469_use_appropriate_menu_icons.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for quilt-based format 3.0 (closes: #664316).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 02 May 2012 17:59:37 +0200

gperiodic (2.0.10-5) unstable; urgency=low

  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Adjusted.
    - gperiodic.c (main_prog): Conditionally use non-deprecated GTK functions
      (closes: #488612).
    - gperiodic.h (table_entry): Ditto.
  * debian/patches/18_488461_update_Uun_and_Uuu.dpatch: Added.
    - table_data.h: Fixed Ununnilium (Uun) and Unununium (Uuu) data (closes:
      #488461).
  * debian/patches/19_488469_use_appropriate_menu_icons.dpatch: Added.
    - gperiodic.c (main_prog): Fixed icons for About and Quit (closes:
      #488469).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 30 Jun 2008 22:19:12 +0200

gperiodic (2.0.10-4) unstable; urgency=low

  * debian/patches/17_483586_fix_encoding_errors.dpatch: Added.
    - table_data.h: Fixed badly encoded data leading to garbage on the
      console (closes: #483586). Thanks to Petter Reinholdtsen.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 30 May 2008 02:11:45 +0200

gperiodic (2.0.10-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/compat: Raised to v5.
  * debian/control: Added DM-Upload-Allowed for DM status.
    (Build-Depends): Raised debhelper to v5.
    (Standards-Version): Raised to 3.7.3.
  * debian/copyright: Added Copyright information (thanks to lintian).
  * debian/gperiodic.1: Typo fix. Add information that text output is UTF-8
    encoded.
  * debian/rules: Added common CFLAGS and LDFLAGS.
    (build-stamp): Use the CFLAGS and LDFLAGS during creation.
  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Adjusted.
    - Makefile: Allow to set CFALGS and LDFLAGS easily.
  * debian/patches/15_fix_bohrium_data_set.dpatch: Added.
    - table_data.h: Fixed the data set for Bohrium. The Electronic
      Configuration was shown in the Oxidation States field.
  * debian/patches/16_466231_remove_markup_on_console.dpatch: Added.
    - gperiodic.c (gpparse_print_element_data_for_num): Remove Pango markup on
      text console and output a tiny UTF-8 encoded information summary
      (closes: #466231).
  * debian/patches/00list: Adjusted.

  [ Michael Banck ]
  * debian/control (Description): Do not mention available translations.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 06 Mar 2008 20:16:13 +0100

gperiodic (2.0.10-2) unstable; urgency=low

  * debian/control: Homepage field transition. Added Vcs fields.
    (Maintainer): Set the debichem team as maintainer and moved myself to
    Uploaders.
  * debian/patches/13_fix_zink_description: Added.
    - table_data.h: Fixed bug in the description of zincs "Named after" field.
      Thanks to Lothar Schmidt for the report.
  * debian/patches/14_fix_lithium_melting_point.dpatch: Added.
    - table_data.h: Fixed wrong melting point given for Lithium (LP: #160424).
      Thanks to Miguel Martinezfor the report.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 12 Nov 2007 22:49:44 +0100

gperiodic (2.0.10-1) unstable; urgency=low

  * New upstream release 2.0.10.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Be more exact about GTK+ dependency.
    (Depends): Removed unused substitution variable.
  * debian/gperiodic.menu (section): Fixed to comply with latest menu policy.
  * debian/patches/12_fix_desktop_file.dpatch: Added.
    - Fix the .desktop file to be compliant to the fd.o spec and to make
      lintian happy.
  * debian/watch: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 27 Aug 2007 02:08:02 +0200

gperiodic (2.0.9-1) unstable; urgency=low

  * New upstream release 2.0.9.
    - Upstream applied almost all patches from our Debian package. Thanks to
    Jonas Frantz.

  [ Daniel Leidert ]
  * debian/rules (install): Improved slightly to make use of the improved
    makefiles.
  * debian/patches/01_fix_installation_permissions.dpatch: Removed. Applied
    upstream.
  * debian/patches/02_fix_desktop_file_validness.dpatch: Ditto.


=== debian/control ===
Source: gperiodic
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~), libgtk2.0-dev (>> 2.6)
Standards-Version: 3.9.3
Homepage: http://www.frantz.fi/software/gperiodic.php
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gperiodic/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gperiodic/
DM-Upload-Allowed: yes

Package: gperiodic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: periodic table application
 GPeriodic is a small X/GTK+-based program which allows you to
 browse through a periodic table of chemical elements, and view
 somewhat detailed information on each of the elements.
 118 elements are currently listed.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = gperiodic

LDFLAGS ?=
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- bindir=/usr/bin datadir=/usr/share \
	                   enable_nls=1 \
	                   DESTDIR=$(CURDIR)/debian/$(PACKAGE)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
# See uscan(1) for format

version=3
http://www.frantz.fi/software/gperiodic.php gperiodic-([\d\.]+)\.tar\.gz

## gperiodic 3.0.2

=== Makefile ===
CC := gcc
CFLAGS :=
LIBS :=
LDFLAGS :=
override CFLAGS += `pkg-config --cflags gtk+-2.0` -I. $(RPM_OPT_FLAGS)
override LIBS += `pkg-config --libs gtk+-2.0`
bindir ?= /usr/bin
datadir ?= /usr/share
mandir ?= /usr/share/man/man1
iconsdir ?= /usr/share/icons
enable_nls ?= 1

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

all: 
	$(MAKE) gperiodic
	$(MAKE) -C po/ all enable_nls=$(enable_nls)
	intltool-merge -d po gperiodic.desktop.in gperiodic.desktop

gperiodic: gperiodic.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o gperiodic gperiodic.o $(LIBS)
ifeq ($(strip),1)
	strip gperiodic
endif

gpdata.o: gpdata.c gperiodic.h

gperiodic.o: gperiodic.c gperiodic.h table_data.h

install:
	install -D -m 755 gperiodic $(DESTDIR)$(bindir)/gperiodic
	install -D -m 644 gperiodic.desktop $(DESTDIR)$(datadir)/applications/gperiodic.desktop
	install -D -m 644 icons/gperiodic.png $(DESTDIR)$(datadir)/pixmaps/gperiodic.png
	install -D -m 644 icons/gperiodic.xpm $(DESTDIR)$(datadir)/pixmaps/gperiodic.xpm
	install -D -m 644 gperiodic.1 $(DESTDIR)$(mandir)/gperiodic.1
	install -D -m 644 icons/hicolor/16x16/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/16x16/apps/gperiodic.png
	install -D -m 644 icons/hicolor/32x32/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/32x32/apps/gperiodic.png
	install -D -m 644 icons/hicolor/48x48/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/48x48/apps/gperiodic.png
	install -D -m 644 icons/hicolor/64x64/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/64x64/apps/gperiodic.png
	$(MAKE) -C po/ install enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)

uninstall:
	rm -f $(bindir)/gperiodic \
	      $(datadir)/applications/gperiodic.desktop \
	      $(datadir)/pixmaps/gperiodic.png \
	      $(datadir)/pixmaps/gperiodic.xpm \
	      $(mandir)/gperiodic.1 \
	      $(iconsdir)/hicolor/16x16/apps/gperiodic.png \
	      $(iconsdir)/hicolor/32x32/apps/gperiodic.png \
	      $(iconsdir)/hicolor/48x48/apps/gperiodic.png \
	      $(iconsdir)/hicolor/64x64/apps/gperiodic.png
	$(MAKE) -C po/ uninstall enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)

clean:
	rm -f *.o gperiodic gperiodic.desktop
	$(MAKE) -C po/ clean

.PHONY: install uninstall clean

=== debian/changelog ===
gperiodic (3.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #214493, #815427)
  * Drop all patches included upstream
  * Migrate from SVN to Git
  * Update Homepage and debian/watch for move to SourceForge
  * Switch to debhelper 10
  * Switch to upstream's manpage
  * Remove trailing whitespace from debian/changelog, thanks Lintian
  * Remove gperiodic menu file, see #741573, use upstream's hicolor icons
  * Drop obsolete DM-Upload-Allowed field
  * Drop obsolete debian/gperiodic.dirs
  * Pass hardening CFLAGS and enable all hardening flags
  * Add myself to Uploaders
  * Fix FTCBFS: Use a triplet-prefixed pkg-config (Closes: #865716)
  * Update debian/copyright for DEP-5
  * Bump Standards-Version to 4.1.2, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 26 Dec 2017 16:42:06 +0000

=== debian/control ===
Source: gperiodic
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10), intltool, libgtk2.0-dev (>> 2.6)
Standards-Version: 4.1.2
Homepage: https://sourceforge.net/projects/gperiodic/
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gperiodic.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gperiodic.git

Package: gperiodic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: periodic table application
 GPeriodic is a small X/GTK+-based program which allows you to
 browse through a periodic table of chemical elements, and view
 somewhat detailed information on each of the elements.
 118 elements are currently listed.

## gperiodic 3.0.3

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 CFLAGS :=
 LIBS :=
 LDFLAGS :=
-override CFLAGS += `pkg-config --cflags gtk+-2.0` -I. $(RPM_OPT_FLAGS)
-override LIBS += `pkg-config --libs gtk+-2.0`
+PKG_CONFIG := pkg-config
+override CFLAGS += `$(PKG_CONFIG) --cflags gtk+-2.0` -I. $(RPM_OPT_FLAGS)
+override LIBS += `$(PKG_CONFIG) --libs gtk+-2.0`
 bindir ?= /usr/bin
 datadir ?= /usr/share
 mandir ?= /usr/share/man/man1

=== po/Makefile ===
--- 
+++ 
@@ -26,10 +26,12 @@
 
 install: 
 	$(MAKE) all
+ifeq ($(enable_nls),1)
 	for f in $(FILES_MO) ; do \
 		mkdir -p $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
 		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; \
 	done
+endif
 
 uninstall:
 	for f in $(FILES_MO) ; do \

=== debian/changelog ===
gperiodic (3.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:51 +1100

gperiodic (3.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:48:50 +0000

gperiodic (3.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop triplet-prefixed_pkg-config.patch included upstream
  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Update debian/copyright
  * Bump Standards-Version to 4.3.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 26 Dec 2018 09:12:10 +0000

=== debian/control ===
Source: gperiodic
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 11~), intltool, libgtk2.0-dev (>> 2.6)
Standards-Version: 4.3.0
Homepage: https://sourceforge.net/projects/gperiodic/
Vcs-Browser: https://salsa.debian.org/debichem-team/gperiodic
Vcs-Git: https://salsa.debian.org/debichem-team/gperiodic.git

Package: gperiodic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: periodic table application
 GPeriodic is a small X/GTK+-based program which allows you to
 browse through a periodic table of chemical elements, and view
 somewhat detailed information on each of the elements.
 118 elements are currently listed.

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/gperiodic/gperiodic-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
